- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_mtom_sending_callback.h File Reference

sending callback for attachment sending More...

`#include <axutil_env.h>`
`#include <axutil_param.h>`

Go to the source code of this file.

## Classes
struct | axiom_mtom_sending_callback_ops
struct | axiom_mtom_sending_callback
## Defines
#define | AXIOM_MTOM_SENDING_CALLBACK_INIT_HANDLER(mtom_sending_callback, env, user_param) ((mtom_sending_callback)->ops->init_handler(mtom_sending_callback, env, user_param))
#define | AXIOM_MTOM_SENDING_CALLBACK_LOAD_DATA(mtom_sending_callback, env, handler, buffer) ((mtom_sending_callback)->ops->load_data(mtom_sending_callback, env, handler, buffer))
#define | AXIOM_MTOM_SENDING_CALLBACK_CLOSE_HANDLER(mtom_sending_callback, env, handler) ((mtom_sending_callback)->ops->close_handler(mtom_sending_callback, env, handler))
#define | AXIOM_MTOM_SENDING_CALLBACK_FREE(mtom_sending_callback, env) ((mtom_sending_callback)->ops->free(mtom_sending_callback, env))
## Typedefs
typedef struct axiom_mtom_sending_callback_ops | axiom_mtom_sending_callback_ops_t
typedef struct axiom_mtom_sending_callback | axiom_mtom_sending_callback_t

## Detailed Description

sending callback for attachment sending